IMAPROWL(1)

NAME
imaprowl - IMAP new mail notification utility for iPhone using Prowl Public API

SYNOPSIS

imaprowl -c FILENAME [--config FILENAME] [{-q | --daemon}] [{-d | --debug}]

imaprowl [{-h | --help} | {-v | --version}]

DESCRIPTION

This manual page documents briefly the imaprowl command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

imaprowl is an IMAP new mail notification utility for iPhone using Prowl Public API

Prowl is a service and an App for iPhone's Push Notification service.(APNs) See id1338 for more about Prowl.

IMAProwl is an utility script to notify new mail of IMAP server with Prowl service. It's very useful to push notification of GMail or any other IMAP mail service to your iPhone.

This program uses IMAP/IDLE(RFC2177) or IMAP/NOOP to check the new mail on IMAP server and uses Prowl Public API via HTTPS.

REQUIREMENTS

Ruby script language version >= 1.9.0

OpenSSL extenstion library for Ruby

IMAP server must support SSL/TLS connection.

The Prowl service account. It's free, you can register at http://prowl.weks.net/

Your iPhone deveice and the Prowl.app from AppStore.

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-c FILENAME, --config FILENAME
    Configuration file to load.

-q, --daemon
    Enable daemon mode. imaprowl will launch as background process.

-d, --debug
    Enable debug output.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

FILES

${HOME}/.imaprowl.conf
    The per-user configuration file to control the behaviour of imaprowl. See /usr/share/doc/imaprowl/examples/config.yml for further details.

ISSUES

The program is currently limited to only work with the ruby1.9.

The upstreams Issue tracker can be found at http://github.com/takuo/IMAProwl/issues.

AUTHOR

Takuo Kitame <kitame@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2009 Takuo Kitame

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.